org.apache.poi.xssf.usermodel

## Class XSSFVBAPart

- java.lang.Object
- - org.apache.poi.ooxml.POIXMLDocumentPart
  - - org.apache.poi.xssf.usermodel.XSSFVBAPart

-     public class XSSFVBAPart
      extends POIXMLDocumentPart

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `POIXMLDocumentPart.RelationPart`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XSSFVBAPart()` Create a new XSSFVBAPart node
    `protected` | `XSSFVBAPart(PackagePart part)` Construct XSSFVBAPart from a package part

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `prepareForCommit()` Like *PictureData, VBA objects store the actual content in the part directly without keeping a copy like all others therefore we need to handle them differently.

    - ### Methods inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `_invokeOnDocumentRead, addRelation, commit, createRelationship, createRelationship, createRelationship, getNextPartNumber, getPackagePart, getParent, getRelationById, getRelationId, getRelationPartById, getRelationParts, getRelations, getTargetPart, isCommited, isCommitted, onDocumentCreate, onDocumentRead, onDocumentRemove, onSave, read, rebase, removeRelation, removeRelation, removeRelation, setCommited, setCommitted, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XSSFVBAPart

          protected XSSFVBAPart()

      Create a new XSSFVBAPart node

    - #### XSSFVBAPart

          protected XSSFVBAPart(PackagePart part)

      Construct XSSFVBAPart from a package part
      Parameters:
        `part` - the package part holding the VBA data,
      Since:
        POI 3.14-Beta1

  - ### Method Detail

    - #### prepareForCommit

          protected void prepareForCommit()

      Like *PictureData, VBA objects store the actual content in the part directly without keeping a copy like all others therefore we need to handle them differently.
      Overrides:
        `prepareForCommit` in class `POIXMLDocumentPart`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.